<?php
namespace Ems\portalGestor\Controller;

use Zeedhi\Framework\Controller\Crud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Error;

use Ems\portalGestor\Service\ProcessoService;

class ProcessoController {

    /** @var ProcessoService */
    protected $processoService;

    public function __construct(
        ProcessoService $processoService
    ) {
        $this->processoService = $processoService;
    }

    public function getStatusProcesso(
        Request\Filter  $request,
        Response        $response
    ) {
        try {
            $row = $request->getParameters();

            $nrOrg = (int)  $row['NRORG'];

            $status = $this->processoService->getStatusProcesso(
                $nrOrg
            );

            $response->addDataSet(new DataSet('data', $status));
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode(), $e->getTrace(), $e));
        }
    }
}