/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_INSUMETAPA                                               */
/* Tabela : INSUMETAPA                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 26/01/2005 - JOAO PAULO REIS                                               */
/*                                                                            */
/******************************************************************************/
IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_INSUMETAPA'  and
            type = 'TR'                     and
            u.uid = o.uid           	  and
            u.name = USER)
   DROP TRIGGER DTULTATU_INSUMETAPA
GO

CREATE TRIGGER DTULTATU_INSUMETAPA
ON INSUMETAPA
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'INSUMETAPA', null, 'CDPRODUTO     =' + CDPRODUTO    +
                                   		          ';CDPROCFABRIC =' + CDPROCFABRIC +
                                   		          ';CDETAPAPROD  =' + CDETAPAPROD  +
						          ';CDPRODINSUMO =' + CDPRODINSUMO , GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE INSUMETAPA
      SET DTULTATUIETA = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(INSUMETAPA.CDPRODUTO   ,0) = ISNULL(INSERTED.CDPRODUTO   ,0)) AND
            (ISNULL(INSUMETAPA.CDPRODINSUMO,0) = ISNULL(INSERTED.CDPRODINSUMO,0)) AND
            (ISNULL(INSUMETAPA.CDPROCFABRIC,0) = ISNULL(INSERTED.CDPROCFABRIC,0)) AND
            (ISNULL(INSUMETAPA.IDSEMIACETAP,0) = ISNULL(INSERTED.IDSEMIACETAP,0)) AND
            (ISNULL(INSUMETAPA.CDETAPAPROD ,0) = ISNULL(INSERTED.CDETAPAPROD ,0)) AND
            (ISNULL(INSUMETAPA.CDFILIAL    ,0) = ISNULL(INSERTED.CDFILIAL    ,0)) AND
            (ISNULL(INSUMETAPA.IDLOTEPRETAP,0) = ISNULL(INSERTED.IDLOTEPRETAP,0)) AND
            (ISNULL(INSUMETAPA.IDUTAPRREQET,0) = ISNULL(INSERTED.IDUTAPRREQET,0)); 
   END;
END;
GO

